@font-face {
    font-family: 'Roboto';
    src: url('/src/fonts/Roboto-Regular.woff2') format('woff2'),
        url('/src/fonts/Roboto-Regular.woff') format('woff'),
        url('/src/fonts/Roboto-Regular.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

:root {
    --font-family: 'Roboto', sans-serif;
    --primary-color: #2F3C7E;
    --primary-color-dark: #26326e;
    --primary-color-rgb: 47, 60, 126;
    --secondary-color: #FFA500;
    --secondary-color-dark: #d38900;
    --secondary-color-rgb: 255, 165, 0;
    --extra-color: #4F64CE;
    --extra-color-dark: #4357b9;
    --extra-color-rgb: 79, 100, 206;
    --admin-color: #17a2b8;
    --border-color: #ddd;
    --text-color: #333;
    --modal-bg-color: rgba(0, 0, 0, 0.4);
    --modal-content-bg-color: #fefefe;
    --close-color: #aaa;
    --close-hover-color: black;
    --font-size-large: 2.5rem;
    --font-size-medium: 1.5rem;
    --font-size-small: 1.2rem;
    --padding-small: 5px;
    --padding-medium: 15px;
    --padding-large: 20px;
    --border-radius: 5px;
    --border-radius-md: 8px;
    --alert-color: #ffc107; /* Warning */
    --success-color: #28a745; /* Success */
    --danger-color: #dc3545; /* Danger */
    --warning-color: #ffc107; /* Warning */
    --info-color: #17a2b8; /* Info */
    --background-color: #fff; /* Very Light Gray */

    --container-lowest: #fff;
    --container-low: #f8fafd;
    --container: #f0f4f9;
    --container-high: #e9eef6;
    --container-highest: #dde3ea;

    /* bootstrap */
    --bs-body-color: #212529;
    --bs-body-bg: #fff;
    --bs-border-color: #dee2e6;
    --bs-border-width: 1px;
    --bs-border-radius: .25rem;

    --divider-height: 40px;
    --gutter-x: 1.5rem;
	--gutter-y: 0;
}

body {
    font-family: var(--font-family);
    background-color: var(--background-color);
    color: var(--text-color);
    margin: 0;
    padding: 0;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    position: absolute;
    left: 0;
    top: 58px;
    right: 0;
    bottom: 0;
}


h1, h2, h3, h4, h5, h6 {
    padding: 0;
    margin: 1rem 0;
}

a.btn, a.btn:hover {
    text-decoration: none;
}

.btn {
    display: inline-block;
    padding: 10px 20px;
    margin: 10px 0;
    color: #fff;
    border: none;
    border-radius: 5px;
    text-decoration: none;
    cursor: pointer;
    text-align: center; /* Center the text inside the button */
}

.btn-primary {
    background-color: var(--primary-color);
}

.btn-secondary {
    background-color: var(--secondary-color);
    color: #000;
}

.btn-primary:hover {
    background-color: var(--primary-color-dark);
}

.btn-secondary:hover {
    opacity: .65;
}

.btn-sm {
    padding: 5px 10px;
    font-size: 0.875rem;
}

figure {
    margin: 0;
}

figure img {
    width: 100%;
}

.flex-1 {
    flex: 1;
}

.product-description .product-price,
.product-navigation .price,
.search-result-card .price {
    display: none;
}

.golden-note {
    padding: 8px 12px;
    font-size: 0.95rem;
    font-style: italic;
    line-height: 1.3rem;
    color: #000;
    background-color: rgba(var(--secondary-color-rgb), .2);
}

/* breadcrumb */
.breadcrumb-section {
	background: var(--container-low);
	padding-top: 14px !important;
	padding-bottom: 14px !important;
	overflow-x: auto;
	white-space: nowrap;
	position: relative;
	overflow-y: hidden;
	box-sizing: inherit;
}

.breadcrumb-section::-webkit-scrollbar {
    display: none;
}

.breadcrumb {
    display: flex;
    list-style: none;
    padding: 0;
    margin: 0;
    background-color: transparent;
}

.breadcrumb-item {
    display: flex;
    align-items: center;
    margin-right: 0.5rem;
    margin-bottom: 0;
    white-space: nowrap;
}

.breadcrumb-item a {
    text-decoration: none;
    color: var(--primary-color);
}

.breadcrumb-item a:hover {
    text-decoration: underline;
}

.breadcrumb-item.active {
    color: #222;
}

.breadcrumb-item .icon-angle-right {
    margin-left: 0.5rem;
    color: #6c757d;
}

/* Bootstraps */
*, ::after, ::before {
	box-sizing: border-box;
}

[type="button"]:not(:disabled), [type="reset"]:not(:disabled), [type="submit"]:not(:disabled), btn:not(:disabled) {
	cursor: pointer;
}

ol, ul {
	margin: 0;
    padding: 0;
    list-style-type: none;
}

p {
	line-height: 1.4rem;
}

.container, .container-fluid, .container-lg, .container-md, .container-sm, .container-xl, .container-xxl {
	width: 100%;
	margin-right: auto;
	margin-left: auto;
}

.container > article > section,
.container > article > .breadcrumb-section {
	padding-right: calc(var(--gutter-x) * .5);
	padding-left: calc(var(--gutter-x) * .5);
}

.container > article > section .content.bg-light {
    padding: 1px 20px 10px 20px;
    border-radius: 10px;
}

.container > article > section .content.bg-primary {
	background: var(--primary-color);
    padding: 1px 20px 10px 20px;
    border-radius: 10px;
    color: #fff;
}

.container > article > section .content li {
	display: flex;
}

.container > article > section .content i {
	color: var(--secondary-color);
    margin-right: 12px;
}

.container > article > section[class*="bg-"] {
    margin-top: var(--padding-large);
    margin-bottom: var(--padding-large);
}

.container > article > section img {
	max-width: 100%;
    height: auto;
    
}

.container > article > section .search-result-card img {
    width: 100%;
    height: 100px;
    object-fit: cover;
    
}

.pad-top-0 {
	padding-top: 0!important;
}

hr, .custom-hr {
	border: none;
	border-top: 1px solid #f0f0f0;
    margin-bottom: var(--padding-medium);
}

.custom-hr {
	margin-right: calc(var(--gutter-x) * .5 + 15px);
	margin-left: calc(var(--gutter-x) * .5 + 15px);
}

.shadow {
	box-shadow: 0 .5rem 1rem rgba(0,0,0,.15) !important;
}

.text-center {
    text-align: center;
}

/* form control */

.form-control {
	display: block;
	width: 100%;
	padding: .375rem .75rem;
	font-size: 1rem;
	font-weight: 400;
	line-height: 1.5;
	color: var(--bs-body-color);
	background-color: var(--bs-body-bg);
	background-clip: padding-box;
	border: var(--bs-border-width) solid var(--bs-border-color);
	-webkit-appearance: none;
	-moz-appearance: none;
	appearance: none;
	border-radius: var(--bs-border-radius);
	transition: border-color .15s ease-in-out,box-shadow .15s ease-in-out;
}

.form-control:focus, 
.form-select:focus, 
.input-group-text:focus, 
.custom-select:focus, 
.custom-control-input:focus, 
.custom-file-input:focus {
    outline: 0;
    border-color: var(--primary-color);
    box-shadow: 0 0 4px 1px rgba(var(--primary-color-rgb), 0.5);
}

footer .form-control:focus {
    border-color: var(--secondary-color);
    box-shadow: 0 0 4px 1px rgba(var(--secondary-color-rgb), 0.5);
}

[type="search"] {
	outline-offset: -2px;
}

.btn, input, optgroup, select, textarea {
	margin: 0;
	font-family: inherit;
	font-size: inherit;
	line-height: inherit;
}

.form-desc {
    font-style: italic;
    color: #777;
    font-size: 14px;
    margin-top: -5px;
    margin-bottom: 8px;
}

/* Section */
.container > article > section {
	padding-top: 20px;
	padding-bottom: 20px;
}

.content-section {
    padding: 20px 0;
}

.content-container {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
}

.content-row {
    display: flex;
    flex-wrap: wrap;
    width: 100%;
    gap: 15px;
}

.content-col-image {
    order: 2;
    padding-top: 15px;
}

.content-col-text {
    order: 1;
    flex: 1;
}

.img-fluid {
    max-width: 100%;
    height: auto;
    display: block;
    margin: 0 auto;
}

.bordered-img {
    box-shadow: 0 0 1px rgba(0,0,0,.2);
    padding: 8px;
}

.inline-image {
	display: block;
	margin: 0 auto;
	max-width: 100%;
	height: auto;
}

.pt-0 {
	padding-top: 0!important;
}

.bg-extra {
    background: var(--extra-color);   
    color: #fff;
}

.bg-light {
	background: var(--container-low);
}

.inner-shadow {
	position: relative;
}

.inner-shadow::before {
	content: '';
	position: absolute;
	top: 0;
	right: -15px;
	bottom: 0;
	left: -15px;
	box-shadow: inset 0 0 3px rgba(0,0,0,0.03), inset 0 0 33px rgba(0,0,0,0.07);
    z-index: 1;
    pointer-events: none;
}

.divider {
    height: var(--divider-height, 40px);
}

/**/

.dimensions-group {
	display: flex;
	gap: 10px;
}

.devis-form-section {
	background: var(--primary-color);
	color: #fff;
}

.devis-form-section .form-control, .devis-form-section .form-select {
    border: none;
}

.form-notice {
    margin-top: 10px;
    border: 1px solid;
}

.form-notice {
	display: block;
	margin-top: 10px;
	color: #222;
	background: #fff;
	border-radius: 5px;
	padding: 6px 10px;
}

.form-notice.success {
	color: var(--success-color);
}

.form-notice.error {
    color: var(--danger-color);
}

hr.light {
    border-color: rgba(255,255,255,0.15);
}

/*  */
li {
    margin-bottom: 10px;
}

.row {
	--gutter-x: 1.5rem;
	--gutter-y: 0;
}

.d-flex {
	display: flex !important;
}

/**/
.form-check-input:checked {
	background-color: var(--primary-color);
	border-color: var(--primary-color);
}

.btn:hover {
	opacity: .93;
}

.h1, h1 {
	font-size: calc(1.175rem + 1.5vw);
}

.text-primary {
    color: var(--primary-color) !important;
}

.text-secondary {
    color: var(--secondary-color) !important;
}

header figure img {
	width: auto;
    max-width: 100%;
	height: 100%;
	margin: 0 auto;
	display: block;
}

.container {
    margin-top: var(--padding-medium);
    margin: 0 auto;
}

main.container {
    margin-bottom: auto;
}

section .container,
.breadcrumb-section .container {
    max-width: 1200px;
    margin: 0 auto;
    padding: 0 15px;
}

/*
.container.mt-5 {
    margin: var(--padding-large) auto!important;
}*/

/* Header */
.position-relative {
    position: relative;
}

.header-figure {
    position: relative;
    overflow: hidden;
    height: 480px;
}

.header-image {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.header-overlay {
	position: absolute;
	bottom: 20%;
	left: calc(8% + var(--gutter-x) * .5);
    max-width: 1170px;
    z-index: 1000;
}

.header-overlay > div:first-child {
    background: rgba(0, 0, 0, 0.25);
}

.header-overlay > div:last-child {
    margin-top: 0.3rem;
    background: rgba(255,255,255,0.9);
}

.contact-post .header-overlay > div:last-child {
    background: rgba(0,0,0,0.3);
}

.header-overlay h1 {
	display: inline-block;
	line-height: 2rem;
    text-transform: uppercase;
    letter-spacing: 2px;
	margin: 0;
	font-size: 1.8rem;
	padding: 8px;
    color: #fff;
}

.header-overlay p {	
	font-weight: 600;
	color: var(--primary-color);
	display: inline-block;
	/*border-radius: 0 0 5px 5px;*/
	padding: 5px 10px;
	margin: 0;
}

.fancy-content-block-media {
    position: relative;
    overflow: hidden;
    width: 100%;
    height: 300px; /* Default height */
}

.fancy-content-block-media .responsive-img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}


/* Clip path */

figure.hasClipPath .header-image {
    position: relative;
    width: 100%;
    height: 480px;
    object-fit: cover;
    clip-path: polygon(0% 0%, 100% 0%, 100% 85%, 0% 100%);
}

figure.hasClipPath .header-image::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #e9ecef; /* Default background color */
    clip-path: inherit; /* Inherit the clip-path from the parent */
    z-index: -1; /* Place it behind the image */
}

/* Product Filter */
.filter-container {
    margin-bottom: var(--padding-medium);
    padding: 0;
}

.filter-container label {
    margin-right: var(--padding-small);
    font-weight: bold;
}

.filter-container select {
    padding: var(--padding-small);
    border: 1px solid #ccc;
    border-radius: 3px;
}

/* end Product Filter */

.product-container {
    display: flex;
    flex-wrap: wrap;
    gap: var(--padding-large);
}

.product-item {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: var(--padding-medium);
    border: 1px solid var(--border-color);
    width: 100%;
    background-color: #fff;
    border-radius: var(--border-radius);
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    position: relative;
}

.product-item .details {
	flex: 1;
	padding-right: var(--padding-large);
	height: 100%;
	justify-content: space-between;
	display: flex;
	flex-direction: column;
}

.product-item .details p {
    margin-bottom: 3px;
}

.product-item .details .title-info {
    text-transform: uppercase;
}

.product-item .photos {
    flex: 0 0 150px;
    text-align: right;
    cursor: pointer;
}

.product-item .photos img {
    max-width: 100%;
    height: auto;
    border-radius: var(--border-radius);
    transition: all 0.3s ease;
}

.product-item .photos img:hover {
    opacity: .9;
    transition: all 0.3s ease;
}

.product-item .price {
    font-weight: bold;
    color: var(--primary-color);
}

#loading {
    text-align: center;
    padding: var(--padding-large);
    font-size: var(--font-size-small);
}

.form-group {
    margin-bottom: var(--padding-medium);
}

/* Button Styles */
.btn-outline-primary {
    border-width: 2px;
    color: var(--primary-color-dark);
}

footer {
    /*box-shadow: inset 0 6px 28px rgba(0,0,0,.05), inset 0 1px 3px rgba(0,0,0,0.1);*/
    background-color: #f9f9f9;
    font-size: 14px;
}

footer .container {
    padding: 15px 22px 30px 22px;
    color: rgb(88, 89, 86);
    text-align: left;
    /*box-shadow: 0px 5px 5px rgba(0,0,0,.1);*/
    position: relative;
}

footer h2 {
	font-size: 1.1rem;
	margin-bottom: 0.7rem;
	text-align: left;
	color: #000;
	display: inline-block;
	border-radius: 3px;
	font-weight: 300;
}

footer a {
    color: var(--primary-color-dark);
    text-decoration: none;
}

footer a:hover {
    color: var(--primary-color);
    text-decoration: underline;
}

footer .row {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    gap: 15px;
}

footer .col-md-3 {
    flex: 1 1 22%; /* Flex-grow, flex-shrink, flex-basis */
    margin-bottom: 0;
}

footer .list-unstyled {
    list-style: none;
    padding: 0;
}

footer li {
    margin-bottom: 8px;
}

footer .list-unstyled li a {
    color: var(--primary-color-dark);
}

footer .list-unstyled li a:hover {
    color: var(--primary-color);
}

footer .text-primary {
    color: var(--primary-color-dark) !important;
}

footer .text-primary:hover {
    color: var(--primary-color) !important;
}

footer .btn {
    margin-top: 10px;
}

footer .bg-dark {
    background-color: #222;
}

footer .text-white {
    color: #fff !important;
}

footer .p-3 {
    padding: 1rem !important;
}

.ftr-partners figure img {
    max-width: 80px;
    height: auto;
}
    
.ftr-partners a {
    display: inline-block;
}

.ftr-social a {
    font-size: 23px;
    margin-right: 10px;
}

.ftr-social a:hover {
    text-decoration: none;
    opacity: .7;
}

.ftr-stores ul li {
    padding-left: 25px;
    line-height: 20px;
    position: relative;
}

.ftr-stores ul li > span {
	color: rgba(var(--secondary-color-rgb), 0.7);
	position: absolute;
	left: 0;
}

/* footer partners */
.ftr-partners figure {
    margin-top: 10px;
    display: inline-block;
}

.ftr-partners figure {
    margin: 0;
    display: inline-block;
}

@media (max-width: 600px) {
    .fancy-content-block-media {
        height: 271px; /* Specific height for small media */
    }
}

@media (min-width: 768px) {
    .container > article > section,
    .container > article > .breadcrumb-section {
        padding-right: 8%;
        padding-left: 8%;
    }

    .custom-hr {
        margin-right: calc(8% + 15px);
        margin-left: calc(8% + 15px);
    }

    form .custom-hr {
        margin-right: 0;
        margin-left: 0
    }
}

/* Responsive Styles */
@media (max-width: 768px) {

    .header-overlay {
        margin: calc(15px + var(--gutter-x) * .5);
        left: 0;
    }

    .content-col {
        order: initial;
        width: 100%;
    }

    .img-fluid {
        margin-bottom: 20px;
    }

    footer .col-md-3 {
        flex: 1 1 50%;
    }

    footer .container .col-md-3:nth-last-child(-n+2) {
        border-top: solid 1px rgba(0,0,0,.06);
    }
    
    footer .container .col-md-3 {
        padding: 0 10px;
    }

    footer .container .col-md-3:first-child {
        padding-top: 0;
    }

    footer .container .col-md-3:first-child ul {
        margin-bottom: 0;
    }

    footer #newsletterEmail {
        text-align: center;
    }

    /* Product Filter */
    .uniform-select {
        width: 100%;
    }

    .filter-container .form-group {
        margin-bottom: 1rem;
        display: flex;
        gap: 10px;
        margin-bottom: 10px;
    }

    .filter-container .form-label {
        display: block;
        white-space: pre;
        margin: 0;
        line-height: 37px;
        min-width: 80px;
    }

    .filter-container .form-select {
        display: block;
        padding: 0.375rem 0.75rem;
        font-size: 1rem;
        line-height: 1.5;
        color: #495057;
        background-color: #fff;
        background-clip: padding-box;
        border: 1px solid #ced4da;
        border-radius: 0.25rem;
        transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
    }
}

@media (max-width: 576px) {
    body:not(.home-page) figure.hasClipPath .header-image {
        height: 350px;
    }

    body.home-page figure.hasClipPath .header-image,
    body.home-page .header-figure {
        height: 440px;
    }
    
    body:not(.home-page) .header-figure {
        height: 350px;
    }

    .header-overlay {
        bottom: 20%;
        margin: calc(var(--gutter-x) * .5);
    }

    body:not(.home-page) .header-image, body:not(.home-page) figure.hasClipPath .header-image {
        height: 350px;
    }

    .header-image::before {
        clip-path: inherit;
    }

    footer .col-md-3 {
        flex: 1 1 100%;
    }

    footer ul.ftr-menu {
        display: flex;
        gap: 16px;
    }

    footer .container .col-md-3:not(:first-child) {
        border-top: solid 1px rgba(0,0,0,.06);
    }
    
    .ftr-partners {
        display: flex;
        flex-wrap: wrap;
        justify-content: space-between;
    }

    .ftr-partners figure img {
        max-width: 60px;
    }

    .breadcrumb-section::before {
        content: "";
        position: absolute;
        top: -40px;
        right: 0;
        bottom: -40px;
        left: 0;
        box-shadow: inset 0 0 20px var(--container-low),
                    inset 0 0 15px var(--container-low),
                    inset 0 0 10px var(--container-low),
                    inset 0 0 10px var(--container-low);
        pointer-events: none;
    }

    .breadcrumb-section {
        -webkit-overflow-scrolling: touch;
    }
}